import { NgModule, inject } from '@angular/core';
import { ActivatedRouteSnapshot, RouterModule, RouterStateSnapshot, Routes } from '@angular/router';
import { DashboardComponent } from './dashboard/dashboard.component';
import { AuthGuardService } from './authentication/services/auth-guard.service';

const routes: Routes = [
   {
		path: '',
		redirectTo: '/dashboard',
		pathMatch: 'full'
	},
   {
		path: 'login',
		loadChildren: () => import('./authentication/auth.module').then(m => m.AuthModule)
	},
   {
      path: 'dashboard',
      component: DashboardComponent,
      loadChildren: () => import('./dashboard/dashboard.module').then(mod => mod.DashboardModule),
      canActivate: [
			(route: ActivatedRouteSnapshot, state: RouterStateSnapshot) =>
				inject(AuthGuardService).canActivate(route, state)
		],
   }
];

@NgModule({
   imports: [
      RouterModule.forRoot(routes)
   ],
   exports: [
      RouterModule
   ]
})
export class AppRoutingModule { } 
